FireStarW Dec 10, 2012 @ 4:12am
What demos actually work?
I'm trying to find games other than TF2 to test, but most of the demos for games either don't exist or don't actually download or work like the iBomber demos.
I did find that the Waveform demo worked, does anyone have a list of demos that are actually there?
Showing 1-10 of 10 comments
< >
nesdavid Dec 10, 2012 @ 4:14am 
World of Goo works
TheSniperFan Dec 10, 2012 @ 4:24am 
I downloaded the Amnesia demo. It works (after installing an additional dependency -> I'm running Arch). The launcher is broken though. If you click on it randomly, you may have luck and actually hit the invisible "Play"-button.
Game works fine afterwards.
EPIC VOID Dec 10, 2012 @ 5:40am 
Unity of Cammand works in theory. Many people have problems with its fonts tough. There are litle boxes instead of letters. The developer said (its i 1 or 2 man project i believe) hell take care of this as soon as the UoC DLC is released.
Norc Dec 10, 2012 @ 6:23am 
Amnesia launcher does not work here either. Where should I complain to get it fixed?
Also this: http://shrani.si/f/G/es/B04RbXs/steam.png
is there even an bug-reporting tool in Steam or do forums work for reporting bugs?
byteback001 Dec 12, 2012 @ 1:46am 
On My OpenSUSE 12.2 box I managed to get the following:

Amnesia Demo (Works)
The Book of Unwritten Tales Demo (Launcher Fail)
iBomber Demo (well we know about that)
Space Pirates and Zombies (works)
TF2b (works)
Unity of Command Demo (works)
Waveform Demo (Launcher fail)
World of Goo Demo (Works)

I hope this helps.
Keperhell Dec 12, 2012 @ 5:41am 
Originally posted by byteback001:
On My OpenSUSE 12.2 box I managed to get the following:

Amnesia Demo (Works)
The Book of Unwritten Tales Demo (Launcher Fail)
iBomber Demo (well we know about that)
Space Pirates and Zombies (works)
TF2b (works)
Unity of Command Demo (works)
Waveform Demo (Launcher fail)
World of Goo Demo (Works)

I hope this helps.
Waveform Demo works me
Olorin Dec 12, 2012 @ 7:22am 
Originally posted by byteback001:
On My OpenSUSE 12.2 box I managed to get the following:

Amnesia Demo (Works)
The Book of Unwritten Tales Demo (Launcher Fail)
iBomber Demo (well we know about that)
Space Pirates and Zombies (works)
TF2b (works)
Unity of Command Demo (works)
Waveform Demo (Launcher fail)
World of Goo Demo (Works)

I hope this helps.

The Book of Unwritten tales start if you comment out the gksudo apt-get calls for ia32-libs in SteamApps/common/The Book of Unwritten Tales/bout.sh. However, selecting «Settings» did also crash the game here. I'll install the rest of the games in your list as well. I'm present in the openSUSE channel on Freenode, so contact me if you want to.

(Several posts have already dealt with the following, but I'll repeat it anyway.)
The Steam client should of course have popped up with information about the required libraries, or ideally integrated with both polkit (the rewritten PolicyKit) and PackageKit to make the process more streamlined. We are however still early in the process here.

Just out of interest, I'll link to the gksu/gksudo home page: http://www.nongnu.org/gksu. I searched the build system and found gksu-polkit, which is the next generation of the project, in Factory.
Last edited by Olorin; Dec 12, 2012 @ 7:26am
byteback001 Dec 12, 2012 @ 8:19am 
Originally posted by Olorin:
Originally posted by byteback001:
The Book of Unwritten tales start if you comment out the gksudo apt-get calls for ia32-libs in SteamApps/common/The Book of Unwritten Tales/bout.sh. However, selecting «Settings» did also crash the game here. I'll install the rest of the games in your list as well. I'm present in the openSUSE channel on Freenode, so contact me if you want to.

(Several posts have already dealt with the following, but I'll repeat it anyway.)
The Steam client should of course have popped up with information about the required libraries, or ideally integrated with both polkit (the rewritten PolicyKit) and PackageKit to make the process more streamlined. We are however still early in the process here.

Just out of interest, I'll link to the gksu/gksudo home page: http://www.nongnu.org/gksu. I searched the build system and found gksu-polkit, which is the next generation of the project, in Factory.
I'm Using kde so gksu is not used, is that correct? is there a KDE version (checked kdesu, but no luck)
sorath Dec 12, 2012 @ 8:54am 
This theme about "... Tales..." was many time discussed , please, use search for details

Demo "The Book of Unwritten tales:"perfectly can be run but after some tricks:
1. remove any mention about checking of "ia32-libs" installation (at least if you system doesn't have this pakage) and gksu from game-start script "boutvc.sh" - you just must have installed 32bit jasper library (libjasper.so.1) or download it anythere and place to gamelibs placement;
2. Disable Steam Community for game and then game starts via Steam.

also if you have crashes while entering Settings menu read this thread
Last edited by sorath; Dec 12, 2012 @ 11:06am
Showing 1-10 of 10 comments
< >
Per page: 15 30 50
Date Posted: Dec 10, 2012 @ 4:12am
Posts: 10